v 13.0 Third Party 3559
Download for v 13.0 Deploy on Odoo.sh
Required Apps Invoicing (account)
Lines of code 1404
Technical Name om_account_asset
LicenseLGPL-3
Websitehttp://odoomates.tech
Also available in version v 12.0 v 14.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Lines of code 1404
Technical Name om_account_asset
LicenseLGPL-3
Websitehttp://odoomates.tech
Also available in version v 12.0 v 14.0

Odoo 13 Asset Management

Manage assets owned by a company or a person.


Keeps track of depreciation's, and creates corresponding journal entries



Asset Types

Assets



If you need any help or want more features, just contact us:


Email: odoomates@gmail.com



Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Asset Category Issue in Vendor Bill Solved
by
Odoo Mates
on 3/31/20, 1:35 AM Author

Get the latest copy: asset category not saving in vendor bills is fixed


g
by
Ganbold.M
on 3/20/20, 12:02 AM

how to add Sum of the year method


[13.0]om_account_asset l can not save Asset Category in Bills
by
smithlin
on 12/30/19, 2:28 AM

When I create a bill and enter the asset category, click save, the asset category that was originally entered will be cleared This issue prevents this module from working properly you can find issue at the following link https://github.com/odoomates/odooapps/issues/14

Re: [13.0]om_account_asset l can not save Asset Category in Bills
by
Odoo Mates
on 3/31/20, 1:36 AM Author

Fixed: https://github.com/odoomates/odooapps/commit/9d55f4deaadb83cf15e0846c69fb73fa262b3d21


installation Error part 3
by
Linn
on 10/23/19, 11:16 PM

while parsing /opt/odoo/custom-addons/om_account_asset/wizard/asset_depreciation_confirmation_wizard_views.xml:2, near asset.depreciation.confirmation.wizard asset.depreciation.confirmation.wizard

This wizard will post installment/depreciation lines for the selected month.
This will generate journal entries for all related installment lines on this period of asset/revenue recognition as well.

Post Depreciation Lines asset.depreciation.confirmation.wizard form tree,form new {'asset_type': 'purchase'}
Re: installation Error part 3
by
Odoo Mates
on 10/24/19, 1:20 AM Author

Hi,We are not able to reproduce the error. We will try to reproduce the issue. It will be nice, if you can send us a short video of generating this error. You can send it to, odoomates@gmail.com


Installation Error Part 2
by
Linn
on 10/23/19, 11:16 PM

During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/odoo/odoo/odoo/http.py", line 619, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/opt/odoo/odoo/odoo/http.py", line 309, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/opt/odoo/odoo/odoo/tools/pycompat.py", line 14, in reraise raise value File "/opt/odoo/odoo/odoo/http.py", line 664, in dispatch result = self._call_function(**self.params) File "/opt/odoo/odoo/odoo/http.py", line 345, in _call_function return checked_call(self.db, *args, **kwargs) File "/opt/odoo/odoo/odoo/service/model.py", line 93, in wrapper return f(dbname, *args, **kwargs) File "/opt/odoo/odoo/odoo/http.py", line 338, in checked_call result = self.endpoint(*a, **kw) File "/opt/odoo/odoo/odoo/http.py", line 909, in __call__ return self.method(*args, **kw) File "/opt/odoo/odoo/odoo/http.py", line 510, in response_wrap response = f(*args, **kw) File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1323, in call_button action = self._call_kw(model, method, args, kwargs) File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1311, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/opt/odoo/odoo/odoo/api.py", line 410, in call_kw else: File "/opt/odoo/odoo/odoo/api.py", line 397, in _call_kw_multi _logger.debug("call %s.%s(%s)", recs, method.__name__, Params(args, kwargs)) File "", line 2, in button_immediate_install File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/opt/odoo/odoo/odoo/addons/base/models/ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/opt/odoo/odoo/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/opt/odoo/odoo/odoo/modules/loading.py", line 420, in load_modules loaded_modules, update_module, models_to_check) File "/opt/odoo/odoo/odoo/modules/loading.py", line 312, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/opt/odoo/odoo/odoo/modules/loading.py", line 222, in load_module_graph load_data(cr, idref, mode, kind='data', package=package, report=report) File "/opt/odoo/odoo/odoo/modules/loading.py", line 68, in load_data tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report) File "/opt/odoo/odoo/odoo/tools/convert.py", line 737, in convert_file convert_xml_import(cr, module, fp, idref, mode, noupdate, report) File "/opt/odoo/odoo/odoo/tools/convert.py", line 804, in convert_xml_import obj.parse(doc.getroot()) File "/opt/odoo/odoo/odoo/tools/convert.py", line 722, in parse exc_info[2] File "/opt/odoo/odoo/odoo/tools/pycompat.py", line 13, in reraise raise value.with_traceback(tb) File "/opt/odoo/odoo/odoo/tools/convert.py", line 713, in parse self._tag_root(de) File "/opt/odoo/odoo/odoo/tools/convert.py", line 675, in _tag_root f(rec) File "/opt/odoo/odoo/odoo/tools/convert.py", line 578, in _tag_record record = model._load_records([data], self.mode == 'update') File "/opt/odoo/odoo/odoo/models.py", line 4005, in _load_records records = self._load_records_create([data['values'] for data in to_create]) File "/opt/odoo/odoo/odoo/models.py", line 3919, in _load_records_create return self.create(values) File "", line 2, in create File "/opt/odoo/odoo/odoo/api.py", line 359, in _model_create_multi return create(self, [arg]) File "/opt/odoo/odoo/odoo/addons/base/models/ir_actions.py", line 235, in create return super(IrActionsActWindow, self).create(vals_list) File "", line 2, in create File "/opt/odoo/odoo/odoo/api.py", line 359, in _model_create_multi return create(self, [arg]) File "/opt/odoo/odoo/odoo/addons/base/models/ir_actions.py", line 59, in create res = super(IrActions, self).create(vals_list) File "", line 2, in create File "/opt/odoo/odoo/odoo/api.py", line 359, in _model_create_multi return create(self, [arg]) File "/opt/odoo/odoo/odoo/models.py", line 3624, in create raise ValueError("Invalid field %r on model %r" % (key, self._name)) odoo.tools.convert.ParseError: "Invalid field 'view_type' on model 'ir.actions.act_window'"

Re: Installation Error Part 2
by
Odoo Mates
on 10/24/19, 1:18 AM Author

Thanks for Reporting the Issue, we have fixed the issue and updated the code. Please Pull the latest code and try. Thanks


installation Error
by
Linn
on 10/23/19, 11:15 PM

Error: Odoo Server Error Traceback (most recent call last): File "/opt/odoo/odoo/odoo/tools/convert.py", line 713, in parse self._tag_root(de) File "/opt/odoo/odoo/odoo/tools/convert.py", line 675, in _tag_root f(rec) File "/opt/odoo/odoo/odoo/tools/convert.py", line 578, in _tag_record record = model._load_records([data], self.mode == 'update') File "/opt/odoo/odoo/odoo/models.py", line 4005, in _load_records records = self._load_records_create([data['values'] for data in to_create]) File "/opt/odoo/odoo/odoo/models.py", line 3919, in _load_records_create return self.create(values) File "", line 2, in create File "/opt/odoo/odoo/odoo/api.py", line 359, in _model_create_multi return create(self, [arg]) File "/opt/odoo/odoo/odoo/addons/base/models/ir_actions.py", line 235, in create return super(IrActionsActWindow, self).create(vals_list) File "", line 2, in create File "/opt/odoo/odoo/odoo/api.py", line 359, in _model_create_multi return create(self, [arg]) File "/opt/odoo/odoo/odoo/addons/base/models/ir_actions.py", line 59, in create res = super(IrActions, self).create(vals_list) File "", line 2, in create File "/opt/odoo/odoo/odoo/api.py", line 359, in _model_create_multi return create(self, [arg]) File "/opt/odoo/odoo/odoo/models.py", line 3624, in create raise ValueError("Invalid field %r on model %r" % (key, self._name)) ValueError: Invalid field 'view_type' on model 'ir.actions.act_window'

Re: installation Error
by
Odoo Mates
on 10/24/19, 1:17 AM Author

Thanks for Reporting the Issue, we have fixed the issue and updated the code. Please Pull the latest code and try. Thanks


Assets Error
by
msdeek@codefish.com.eg
on 10/23/19, 6:56 AM

when try to add Vendor from assets from : om_account_asset.view_account_asset_asset_form i get this error : ValueError: Invalid field 'supplier' in leaf ""

Re: Assets Error
by
Odoo Mates
on 10/23/19, 9:02 AM Author

Thanks for reporting the issue. We have fixed the issue, Please pull the latest code and see whether everything is fine.